# Usage Object

> Source: https://truto.one/docs/api-reference/unified-usage-metering-api/usage/

Schema for the `Usage` resource in **Unified Usage Metering API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the usage.
- **`product`** _(object)_
  The product associated with the usage.
  - **`id`** _(string, required)_
    Unique identifier for the product.
  - **`name`** _(string)_
    Name of the product.
- **`metric_name`** _(string)_
  Name of the metric being charged for
- **`resources`** _(array<object>)_
  - **`id`** _(string)_
    Unique identifier for the resource.
  - **`name`** _(string)_
    Name of the resource.
  - **`workspace`** _(object)_
    The resource is present in this workspace.
    - **`id`** _(string)_
      Unique identifier for the workspace.
    - **`name`** _(string)_
      Name of the workspace.
- **`organization`** _(object)_
  The organization associated with the usage.
  - **`id`** _(string, required)_
    Unique identifier for the organization.
  - **`name`** _(string)_
    Name of the organization.
- **`charges`** _(array<object>)_
  The amounts charged for the usage.
  - **`amount`** _(number)_
    The amount charged for the usage.
  - **`currency`** _(string)_
    The currency in which the charge is made.
  - **`type`** _(string)_
    The type of charge.
    Allowed: `total`, `on_demand`, `committed`
- **`usage`** _(object)_
  The usage data for the product.
- **`start_date`** _(string)_
  The start date for the usage data.
- **`end_date`** _(string)_
  The end date for the usage data.
- **`created_at`** _(string)_
  Date and time when the usage data metric was created.
- **`updated_at`** _(string)_
  Date and time when the usage data metric was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/usage-metering/usage](/docs/api-reference/unified-usage-metering-api/usage/list) — List Usage
